summaryrefslogtreecommitdiff
path: root/tests/dd/unblock-sync
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-12-20 09:34:25 +0000
committerJim Meyering <jim@meyering.net>2003-12-20 09:34:25 +0000
commit701926715acb24b8f6b9e37c81168aeb8560335a (patch)
tree7a82c87f4fbf59a92e57745e3dca84e10430fcf6 /tests/dd/unblock-sync
parentd22a3e0af91d68d2036a6daac7cdfaa9c739f67e (diff)
downloadcoreutils-701926715acb24b8f6b9e37c81168aeb8560335a.tar.xz
New test for the above.
Diffstat (limited to 'tests/dd/unblock-sync')
-rwxr-xr-xtests/dd/unblock-sync39
1 files changed, 39 insertions, 0 deletions
diff --git a/tests/dd/unblock-sync b/tests/dd/unblock-sync
new file mode 100755
index 000000000..cdaff180d
--- /dev/null
+++ b/tests/dd/unblock-sync
@@ -0,0 +1,39 @@
+#!/bin/sh
+# Ensure that dd conv=unblock,sync works.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ dd --version
+fi
+
+# . $srcdir/../envvar-check
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+printf 000100020003xx > in || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+dd cbs=4 ibs=4 conv=unblock,sync < in > out || fail=1
+cat <<\EOF > exp || fail=1
+0001
+0002
+0003
+xx
+EOF
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+(exit $fail); exit $fail